L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de LibTIFF : multiples vulnérabilités

Synthèse de la vulnérabilité 

Un attaquant peut inviter la victime à ouvrir une image TIFF illicite, afin de mener un déni de service ou faire exécuter du code dans les applications liées à LibTIFF.
Logiciels vulnérables : BES, Debian, Fedora, LibTIFF, Mandriva Linux, OpenSolaris, Solaris, Trusted Solaris, RHEL, Unix (plateforme) ~ non exhaustif.
Gravité de cette annonce : 2/4.
Nombre de vulnérabilités dans ce bulletin : 9.
Date de création : 24/06/2010.
Références de cette vulnérabilité informatique : 2207, 2208, 2209, 2210, 2215, 2216, 589145, 591605, BID-41088, BID-41295, BID-41475, BID-41477, BID-41480, CVE-2010-2233, CVE-2010-2443, CVE-2010-2481, CVE-2010-2482, CVE-2010-2483, CVE-2010-2595, CVE-2010-2596, CVE-2010-2597, CVE-2010-2630, CVE-2010-2631, DLA-610-1, DLA-610-2, DSA-2552-1, FEDORA-2010-10333, FEDORA-2010-10334, KB27244, MDVSA-2010:145, MDVSA-2010:146, RHSA-2010:0519-01, RHSA-2014:0222-01, VIGILANCE-VUL-9727.

Description de la vulnérabilité 

La bibliothèque LibTIFF permet de manipuler des images TIFF. Plusieurs vulnérabilités ont été annoncées dans LibTIFF.

Un attaquant peut forcer TIFFExtractData() à lire après la fin des données, ce qui stoppe l'application. [grav:1/4; CVE-2010-2481]

Un attaquant peut forcer TIFFVGetField() à déréférencer un pointeur NULL, ce qui stoppe l'application. [grav:1/4; 589145, CVE-2010-2443]

Un attaquant peut provoquer un buffer overflow dans TIFFRGBAImageGet(), afin de faire exécuter du code. [grav:2/4; 2216, 591605, CVE-2010-2483]

Un attaquant peut provoquer un débordement d'entier dans tif_getimage(), ce qui stoppe l'application. [grav:1/4; 2207, CVE-2010-2233]

Un attaquant peut employer des valeurs ReferenceBlackWhite illicites, afin de stopper l'application dans TIFFYCbCrtoRGB(). [grav:1/4; 2208, CVE-2010-2595]

Un attaquant peut provoquer une erreur d'assertion dans OJPEGPostDecode(), ce qui stoppe l'application. [grav:1/4; 2209, CVE-2010-2596]

Un attaquant peut forcer td_stripbytecount() à déréférencer un pointeur NULL, ce qui stoppe l'application. [grav:1/4; BID-41480, CVE-2010-2482]

La fonction TIFFVStripSize() appelle incorrectement TIFFGetField(), ce qui stoppe l'application. [grav:1/4; 2215, CVE-2010-2597]

Un attaquant peut créer une image contenant un champ FAXDCS illicite, afin de mener un déni de service. [grav:1/4; 2210, BID-41475, BID-41477, CVE-2010-2630, CVE-2010-2631]

Un attaquant peut donc inviter la victime à ouvrir une image TIFF illicite, afin de mener un déni de service ou faire exécuter du code dans les applications liées à LibTIFF.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Ce bulletin cyber-sécurité concerne les logiciels ou systèmes comme BES, Debian, Fedora, LibTIFF, Mandriva Linux, OpenSolaris, Solaris, Trusted Solaris, RHEL, Unix (plateforme) ~ non exhaustif.

Notre équipe Vigil@nce a déterminé que la gravité de cette faille informatique est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Ce bulletin concerne 9 vulnérabilités.

Un démonstrateur ou un outil d'attaque est disponible, donc vos équipes doivent traiter cette alerte. Un attaquant avec un niveau de compétence technicien peut exploiter ce bulletin de menace.

Solutions pour cette menace 

LibTIFF : version 3.9.5.
La version 3.9.5 est corrigée :
  http://www.remotesensing.org/libtiff/v3.9.5.html

LibTIFF : version 3.9.4.
La version 3.9.4 est corrigée :
  http://www.remotesensing.org/libtiff/

BlackBerry Enterprise Server : patch pour PNG et TIFF.
Un patch est disponible :
BlackBerry Enterprise Server Express versions 5.0.1, 5.0.2, 5.0.3 for Microsoft Exchange :
BlackBerry Enterprise Server Express version 5.0.2, 5.0.3 for IBM Lotus Domino :
BlackBerry Enterprise Server version 4.1.7 for Novell GroupWise :
BlackBerry Enterprise Server version 5.0.1 for Novell GroupWise :
BlackBerry Enterprise Server versions 5.0.1, 5.0.2 for Microsoft Exchange :
BlackBerry Enterprise Server versions 5.0.1, 5.0.2 for IBM Lotus Domino :
BlackBerry Enterprise Server version 4.1 Service Pack 7 for MDS Applications :
  Interim Security Software Update for August 9, 2011
  http://www.blackberry.com/go/serverdownloads
BlackBerry Enterprise Server versions 5.0.3 for Microsoft Exchange :
BlackBerry Enterprise Server versions 5.0.3 for IBM Lotus Domino :
  Version 5.0.3 MR3
  http://www.blackberry.com/go/serverdownloads
L'annonce indique une contre-mesure.

Debian 7 : nouveaux paquetages tiff3.
De nouveaux paquetages sont disponibles :
  Debian 7 : tiff3 3.9.6-11+deb7u3

Debian : nouveaux paquetages tiff (27/09/2012).
De nouveaux paquetages sont disponibles :
  tiff 3.9.4-5+squeeze5

Fedora : nouveaux paquetages libtiff (06/07/2010).
De nouveaux paquetages sont disponibles :
  libtiff-3.9.4-1.fc12
  libtiff-3.9.4-1.fc13

Mandriva : nouveaux paquetages libtiff (09/08/2010).
De nouveaux paquetages sont disponibles :
  Mandriva Linux 2008.0: libtiff-3.8.2-8.3mdv2008.0
  Mandriva Linux 2009.0: libtiff-3.8.2-12.3mdv2009.0
  Mandriva Linux 2009.1: libtiff-3.8.2-13.2mdv2009.1
  Mandriva Linux 2010.0: libtiff-3.9.1-4.1mdv2010.0
  Mandriva Linux 2010.1: libtiff-3.9.2-2.1mdv2010.1
  Corporate 4.0: libtiff-3.6.1-12.9.20060mlcs4
  Mandriva Enterprise Server 5: libtiff-3.8.2-12.3mdvmes5.1

RHEL 4, 5 : nouveaux paquetages libtiff.
De nouveaux paquetages sont disponibles :
Red Hat Enterprise Linux version 4:
  libtiff-3.6.1-12.el4_8.5
Red Hat Enterprise Linux version 5:
  libtiff-3.8.2-7.el5_5.5

RHEL 6.5 : nouveaux paquetages libtiff.
De nouveaux paquetages sont disponibles :
  RHEL 6 : libtiff 3.9.4-10.el6_5

Solaris : patch pour LibTIFF.
Un patch est disponible :
  Solaris 8
    SPARC: 139093-03
    X86: 139094-03
  Solaris 9
    SPARC: 125673-05
    X86: 125674-05
  Solaris 10 :
    SPARC: 119900-13
    X86: 119901-12

Solaris : patch pour libtiff (09/02/2012).
Un patch est disponible :
Solaris 8
  SPARC: 139093-02
  X86: 139094-02
Solaris 9
  SPARC: 125673-04
  X86: 125674-04
Solaris 10
  SPARC: 119900-11
  X86: 119901-10
OpenSolaris
  snv_111b plus bug fix 6970794

Solaris : patch pour libtiff (15/10/2010).
Un patch est disponible :
OpenSolaris snv_111b :
  6970794
Solaris 10 :
  SPARC: 119900-11
  X86: 119901-10
Solaris 9 :
  SPARC: 125673-04
   X86: 125674-04
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit des annonces de vulnérabilités de systèmes. Chaque administrateur peut personnaliser la liste des produits pour lesquels il souhaite recevoir des alertes de vulnérabilités.